# Data Stores Library 

## Rust Library to declare and manage [Data Stores](https://en.wikipedia.org/wiki/Data_store) for **LibreClouds** [Klouds](https://rlung.librecloud.online/LibreCloud/Klouds#klouds)

Part of the following developments:

- [CloudMandala](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)
- [Zteron](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)

It includes definitions and functions for the following [Data Stores](https://en.wikipedia.org/wiki/Data_store):

- Redis
- MySQL
- Postgres 
- Sqlite
- Slab


### How to use

1 - Clone or download this lib in a path, better outside of target development

2 - Get current version from <u>Cargo.toml</u>

3 - Include a line like the one below in <u>target development Cargo.toml</u> (adjust version & path) and **use** whatever is need.

```toml
datastores = { version = "0.1.0", path = "../lib/datastores/defs" }
connectors = { version = "0.1.0", path = "../lib/datastores/connectors" }
```

### Structure

<pre>
.
├── connectors
└── defs

</pre>

## Author

- [Jesús Pérez](https://info.jesusperez.pro).

## License

MIT
